Port Selenium tests from Ruby to Node.js
Open, NormalPublic

Description

TODO

RepositoryTask/CommitCodeStatusTeam
mediawiki/extensions/CentralAuthT173989tests/browserโœ‹N/A
mediawiki/extensions/CentralNoticeT180223tests/browser๐Ÿ’ฃFundraising-Backlog
mediawiki/extensions/GettingStartedT180224tests/browser๐Ÿ’ฃGlobal-Collaboration
mediawiki/extensions/MobileFrontendT177260tests/browserโœ‹Readers-Web-Backlog
mediawiki/extensions/MultimediaViewerT180226tests/browser๐Ÿ’ฃMultimedia
mediawiki/extensions/QuickSurveysT177261tests/browser๐Ÿ’ฃReaders-Web-Backlog
mediawiki/extensions/RevisionSliderT180247tests/browser๐Ÿ’ฃWMDE Engineering
mediawiki/extensions/TwoColConflictT180248tests/browser๐Ÿ’ฃWMDE Engineering
mediawiki/extensions/WikibaseT180228tests/browser tests/selenium๐Ÿš€WMDE Engineering
mediawiki/extensions/WikibaseLexemeT179916tests/browser tests/selenium๐Ÿš€WMDE Engineering
mediawiki/skins/MinervaNeueT174018tests/browser/โœ‹Readers-Web-Backlog

Follow-up tasks

Stats

StatusRepositories (28)%
๐Ÿ’ฃ Not started621
โœ‹ Stalled311
๐Ÿš€ In progress27
๐Ÿ—‘ Done: Ruby -> N/A932
โœ… Done: Ruby -> Node829
Overall
Open (๐Ÿ’ฃ+โœ‹+๐Ÿš€)1139
Done (๐Ÿ—‘+โœ…)1761
TeamRepositories (28)SummaryTask
N/A (CentralAuth and TwnMainPage)2โœ‹๐Ÿ—‘T173989
Discovery Discovery1โœ…T174103
Editing team VisualEditor2๐Ÿ—‘โœ…T162455 T150435
Fundraising tech Fundraising-Backlog1๐Ÿ’ฃT180223
Global Collaboration Global-Collaboration Collaboration-Team-Triage8๐Ÿ’ฃ๐Ÿ—‘๐Ÿ—‘๐Ÿ—‘๐Ÿ—‘๐Ÿ—‘๐Ÿ—‘โœ…T174594
Multimedia Multimedia1๐Ÿ’ฃT180226
Reading1๐Ÿ—‘
Reading Infrastructure Reading-Infrastructure-Team-Backlog1๐Ÿ—‘
Reading Web Readers-Web-Backlog5๐Ÿ’ฃโœ‹โœ‹โœ…โœ…T162256
Release Engineering Release-Engineering-Team1โœ…T164004
WMDE Engineering5๐Ÿ’ฃ๐Ÿ’ฃ๐Ÿš€๐Ÿš€โœ…T180451

Status

RepositoryTask/CommitCodeStatusTeam
mediawiki/coreT164004tests/seleniumโœ…Release-Engineering-Team
mediawiki/extensions/CentralAuthT173989tests/browserโœ‹N/A
mediawiki/extensions/CentralNoticeT180223tests/browser๐Ÿ’ฃFundraising-Backlog
mediawiki/extensions/CirrusSearchT174103tests/integration tests/seleniumโœ…Discovery
mediawiki/extensions/ContentTranslationT174595N/A๐Ÿ—‘Global-Collaboration
mediawiki/extensions/EchoT171848tests/seleniumโœ…Global-Collaboration
mediawiki/extensions/ElectronPdfServiceT180246tests/seleniumโœ…WMDE Engineering
mediawiki/extensions/FlowT174591N/A๐Ÿ—‘Global-Collaboration
mediawiki/extensions/GettingStartedT180224tests/browser๐Ÿ’ฃGlobal-Collaboration
mediawiki/extensions/MathT162455tests/seleniumโœ…VisualEditor
mediawiki/extensions/MobileFrontendT177260tests/browserโœ‹Readers-Web-Backlog
mediawiki/extensions/MultimediaViewerT180226tests/browser๐Ÿ’ฃMultimedia
mediawiki/extensions/PageTriageT174589N/A๐Ÿ—‘Global-Collaboration
mediawiki/extensions/PdfHandler381465N/A๐Ÿ—‘Reading-Infrastructure-Team-Backlog
mediawiki/extensions/PopupsT177262tests/seleniumโœ…Readers-Web-Backlog
mediawiki/extensions/QuickSurveysT177261tests/browser๐Ÿ’ฃReaders-Web-Backlog
mediawiki/extensions/RelatedArticlesT164024tests/seleniumโœ…Readers-Web-Backlog
mediawiki/extensions/RevisionSliderT180247tests/browser๐Ÿ’ฃWMDE Engineering
mediawiki/extensions/Translate(T174594) 381467N/A๐Ÿ—‘Global-Collaboration
mediawiki/extensions/TwnMainPage381478N/A๐Ÿ—‘N/A
mediawiki/extensions/TwoColConflictT180248tests/browser๐Ÿ’ฃWMDE Engineering
mediawiki/extensions/UniversalLanguageSelector(T174594) 381481N/A๐Ÿ—‘Global-Collaboration
mediawiki/extensions/VisualEditorT150435N/A๐Ÿ—‘VisualEditor
mediawiki/extensions/WikibaseT180228tests/browser tests/selenium๐Ÿš€WMDE Engineering
mediawiki/extensions/WikibaseLexemeT179916tests/browser tests/selenium๐Ÿš€WMDE Engineering
mediawiki/extensions/WikiLoveT174593N/A๐Ÿ—‘Global-Collaboration
mediawiki/extensions/ZeroPortal381774N/A๐Ÿ—‘Reading
mediawiki/skins/MinervaNeueT174018tests/browser/โœ‹Readers-Web-Backlog

Timeline

DescriptionLinksStatusStartEnd (~Estimated)
Initial research.256404 maluโœ…2015-122016-05
Browser testing user satisfaction survey.Browser testing user satisfaction surveyโœ…2016-072016-09
Run WebdriverIO jobs in experimental pipeline for mediawiki/core and extensions.324416 326949 334136 337590โœ…2016-112017-02
Announce WebdriverIO to small group of early adopters.N/Aโœ…2017-012017-02
Investigating three popular Selenium packages: WebDriverJs, WebdriverIO, Nightwatch.js.323401 328191 328349โœ…2016-112017-03
Update documentation.T161103โœ…2017-032017-03
Announce WebdriverIO on appropriate mailing lists (QA, engineering, wikitech-l).qa engineering wikitech-lโœ…2017-032017-04
WebdriverIO in person workshop(s). (European hackathon...)T159945โœ…2017-032017-05
Run WebdriverIO jobs in test and gate-and-submit pipelines for mediawiki/core and extensions, voting.324719 T164721โœ…2016-122017-07
Create Jenkins jobs that runs WebdriverIO tests daily targeting beta cluster.T171847โœ…2017-072017-09
Announce Ruby framework deprecation on appropriate mailing lists (QA, engineering, wikitech-l).T173488โœ…2017-082017-10
WebdriverIO online workshop(s) (CREDIT, Tech talks...).T164070 T171852โœ…2017-042017-10
Delete Ruby jobs as tests are moved to Node.js.See status table.๐Ÿš€2017-03N/A
Pairing on WebdriverIO with teams that need help.See status table.๐Ÿš€2017-05N/A

Related Objects

StatusAssignedTask
ResolvedJdlrobson
OpenNone
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
DeclinedRyasmeen
OpenNone
Resolvedzeljkofilipin
Resolvedzeljkofilipin
DuplicateJdlrobson
ResolvedJdlrobson
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
StalledNone
StalledNone
StalledNone
StalledNone
OpenNone
Stalledphuedx
ResolvedJdlrobson
ResolvedPhysikerwelt
Resolvedhashar
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Invalidzeljkofilipin
Resolvedzeljkofilipin
StalledNone
Resolveddebt
Resolveddebt
OpenNone
ResolvedNikerabbit
Resolvedzeljkofilipin
DuplicateNone
Resolvedzeljkofilipin
Resolvedzeljkofilipin
ResolvedEtonkovidova
OpenNone
Resolvedzeljkofilipin
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedWMDE-Fisch
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedaaron
There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 391548 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/core@master] ESLint ecmaVersion setting is not needed if env is es6

https://gerrit.wikimedia.org/r/391548

Change 393760 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/core@master] Document how to run just one Selenium test

https://gerrit.wikimedia.org/r/393760

Change 391548 merged by jenkins-bot:
[mediawiki/core@master] ESLint ecmaVersion setting is not needed if env is es6

https://gerrit.wikimedia.org/r/391548

Change 393760 merged by jenkins-bot:
[mediawiki/core@master] Document how to run just one Selenium test

https://gerrit.wikimedia.org/r/393760

zeljkofilipin removed zeljkofilipin as the assignee of this task.Nov 29 2017, 6:39 PM
zeljkofilipin updated the task description. (Show Details)Dec 4 2017, 2:53 PM
greg updated the task description. (Show Details)Jan 22 2018, 10:07 PM
zeljkofilipin lowered the priority of this task from High to Normal.Feb 20 2018, 3:23 PM
zeljkofilipin removed zeljkofilipin as the assignee of this task.
zeljkofilipin removed a project: Patch-For-Review.
Ladsgroup added a subscriber: Ladsgroup.

How can I help with moving things forward with Wikibase? Is there any manual to start? Given the huge amount of browser tests in Wikibase, is it okay to stay a hybrid mode for a while?

How can I help with moving things forward with Wikibase? Is there any manual to start? Given the huge amount of browser tests in Wikibase, is it okay to stay a hybrid mode for a while?

@Ladsgroup: If you're at the Wikimedia Hackathon 2018 next weekend: T190687: Pair on writing Selenium tests in JavaScript/Node.js and T190046: Write Selenium tests in JavaScript/Node.js workshop? :)

How can I help with moving things forward with Wikibase? Is there any manual to start? Given the huge amount of browser tests in Wikibase, is it okay to stay a hybrid mode for a while?

Oops, looks like I forgot to answer. ๐Ÿ˜ข

As @Aklapper said, Wikimedia-Hackathon-2018 is a good time to work on this. My plan is to spend about 80% of my time there pairing with people.

I can work on that in the hackathon and then bring back the knowledge to WMDE HQ.

See you at the hackathon then! ๐Ÿ’ป

zeljkofilipin changed the status of subtask T162455: Selenium tests for Math from Stalled to Open.May 19 2018, 11:13 AM
zeljkofilipin claimed this task.
zeljkofilipin moved this task from Inbox to Selenium on the MediaWiki-Core-Tests board.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin changed the status of subtask T173989: Port CentralAuth Selenium tests from Ruby to Node from Open to Stalled.
zeljkofilipin awarded a token.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin removed zeljkofilipin as the assignee of this task.Jun 28 2018, 2:19 PM